package com.ss.android.ugc.aweme.web.jsbridge;

import X.0CB;
import X.0CH;
import X.6Is;
import X.C0328Jzr;
import X.C0865KKi;
import X.FIu;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.fe.base.BaseCommonJavaMethod;
import org.json.JSONObject;

public final class DidLoadFinishMethod extends BaseCommonJavaMethod implements 6Is {
    public static final C0328Jzr LIZ = new C0328Jzr((byte) 0);

    static {
        Covode.recordClassIndex(124439);
    }

    public final void onStateChanged(0CH r1, 0CB r2) {
        super.onStateChanged(r1, r2);
    }

    public DidLoadFinishMethod(C0865KKi kKi) {
        super(kKi);
    }

    public final void handle(JSONObject jSONObject, FIu fIu) {
        if (jSONObject != null) {
            jSONObject.optInt("status", 0);
            if (fIu != null) {
                fIu.LIZ((Object) null);
            }
        }
    }
}
